Searcher Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Searcher Class Referenceabstract
Inheritance diagram for Searcher:
[legend]
Collaboration diagram for Searcher:
[legend]

## Public Member Functions
| Searcher (qsearch_t **q, eval_t &e)
virtual | ~Searcher ()
virtual const std::string | name () const =0
virtual const std::pair< int, int > | alphaBeta (Player turn, int pawn_value, int real_value) const =0
virtual int | search (Player turn, int pawn_value, int real_value, Move last_move)=0
void | report () const

## Protected Member Functions
const std::pair< int, int > | count (Player turn, int alpha, int beta, Move last_move)

## Protected Attributes
stat::Average | width
stat::Average | nodes
stat::Average | diff
stat::Average | accuracy
qsearch_t ** | searcher
eval_t & | eval

## Detailed Description

Definition at line 106 of file range-vs-nodes.cc.

## Constructor & Destructor Documentation

Searcher::Searcher | ( | qsearch_t ** | q,
|  | eval_t & | e
| ) |  |
| inline

Definition at line 113 of file range-vs-nodes.cc.

virtual Searcher::~Searcher | ( | ) |  |
| inlinevirtual

Definition at line 116 of file range-vs-nodes.cc.

## Member Function Documentation

virtual const std::pair<int,int> Searcher::alphaBeta | ( | Player | turn,
|  | int | pawn_value,
|  | int | real_value
| ) |  | const
| pure virtual

Implemented in ExtendToOther, ExtendToCenterModest, ExtendToCenter, FixedRange, and FullWidth.

const std::pair<int,int> Searcher::count | ( | Player | turn,
|  | int | alpha,
|  | int | beta,
|  | Move | last_move
| ) |  |
| inlineprotected

Definition at line 129 of file range-vs-nodes.cc.

References osl::alt(), osl::BLACK, osl::eval::max(), result, osl::WHITE, and width.

virtual const std::string Searcher::name | ( | ) |  | const
| pure virtual

Implemented in ExtendToOther, ExtendToCenterModest, ExtendToCenter, RootCenter, AccurateCenter, FixedCenter, and FullWidth.

void Searcher::report | ( | ) |  | const
| inline

Definition at line 144 of file range-vs-nodes.cc.

References width.

virtual int Searcher::search | ( | Player | turn,
|  | int | pawn_value,
|  | int | real_value,
|  | Move | last_move
| ) |  |
| pure virtual

Returns
  search result

Implemented in NormalSearcher.

## Member Data Documentation

stat::Average Searcher::accuracy
| protected

Definition at line 109 of file range-vs-nodes.cc.

stat::Average Searcher::diff
| protected

Definition at line 109 of file range-vs-nodes.cc.

eval_t& Searcher::eval
| protected

Definition at line 111 of file range-vs-nodes.cc.

stat::Average Searcher::nodes
| protected

Definition at line 109 of file range-vs-nodes.cc.

qsearch_t** Searcher::searcher
| protected

Definition at line 110 of file range-vs-nodes.cc.

stat::Average Searcher::width
| protected

Definition at line 109 of file range-vs-nodes.cc.

The documentation for this class was generated from the following file:

- range-vs-nodes.cc